/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义附件关联模块ID(1:一般业务,2:测试信息,3:审批业务,999:其它数据 )
var ls_module_id='999';
//定义当前模块业务类型(YBYW:一般业务,SPGL:审批业务) 
var ls_ywlx = 'YBYW';
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载是否激活下拉框
//var v_yesnoquery = {};
//v_yesnoquery.FIELD_tableName = "DM_ST_YES_NO";
//var v_yesno_data = standardModel.dataAction.listAll(v_yesnoquery);
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
var ls_title="部门管理";
var is_column = [ [
				{field : 'DPT_NO',title : '编码',width : 100,align : 'center'},
				{field : 'DPT_NAME',title : '名称',width : 150,align : 'center'},
				{field : 'SORT',title : '排序',width : 100,align : 'center'},
				{field : 'YSY',title : '状态',width : 100,align : 'center',
					formatter : function(value) {
						if (value != null && value > 0)
							return '已用';
						else
							return '未用';
					}
				}
				] ];
//列表加载完成回调
function dataOnLoadSuccess(){
}
//设置颜色和每行高度
function rowstyler(index,row){
	return 'height:30px;';
}
//展示列表
datagrid("list",ls_title,gaowj.WEB_APP_NAME + "/systemdata_listSysRole",queryData,is_column,60,80);
/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}
//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index
		+ "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}
/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("system_roleTabDetail",is_row,"新增",true,0.65,0.95,0,0);

}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
//例如新增页面需加载下位框
//	$('#STATUS').combobox({
//		data : v_statusquery_data,
//		valueField : 'CODE_ID',
//		textField : 'CODE_NAME',
//		editable:false,  
//		panelHeight:'auto'
//	});
}
//保存
function insertData(is_entity){
	//对表单获取到的时间进行处理后提交后台
//	is_entity.FIELD_CREATE_TIME = strToDateObj(is_entity.FIELD_CREATE_TIME);
//	is_entity.FIELD_RECEIVE_DATE = strToDateObj(is_entity.FIELD_RECEIVE_DATE);
	var v_result = jwAppCommonModel.jwAppsCommonActAction.insertSysRole(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

//加载修改子页面
function editRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("system_roleTabDetail",is_row[0],"编辑",true,0.65,0.95,0,0);	
}

//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	//例如编辑页面需加载下位框
//	$('#STATUS').combobox({
//		data : v_statusquery_data,
//		valueField : 'CODE_ID',
//		textField : 'CODE_NAME',
//		editable:false,  
//		panelHeight:'auto'
//	});
	$('#DPT_NO').textbox('disable',true);
}
//保存
function updateData(is_entity){
	//对表单获取到的时间进行处理后提交后台
//	is_entity.FIELD_CREATE_TIME = strToDateObj(is_entity.FIELD_CREATE_TIME);
//	is_entity.FIELD_RECEIVE_DATE = strToDateObj(is_entity.FIELD_RECEIVE_DATE);
	var v_result = jwAppCommonModel.jwAppsCommonActAction.updateSysRole(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}
/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);
	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	if(is_row[0].YSY!=null && is_row[0].YSY>0){
		$.messager.alert('提示',"有角色使用中,无法删除!",'info');
		return;
	}
	var depno = is_row[0].DPT_NO;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_DPT_NO = depno;
		    var v_result = jwAppCommonModel.jwAppsCommonActAction.deleteSysRole(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var depno="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		depno = depno + rows[i].DPT_NO+",";
		if(rows[i].YSY!=null && rows[i].YSY>0){
			$.messager.alert('提示',"有角色使用中,无法删除!",'info');
			return;
		}
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需删除的行!",'info');
		return;
	}
	if(depno.length>0){
		depno = depno.substring(0,depno.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_DPT_NO = depno;
		    var v_result = jwAppCommonModel.jwAppsCommonActAction.deleteSysRole(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	$('#list').datagrid('load',{});
	$("#roletab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#roletab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/


